%global debug_package %{nil}
%global rust_flags -Ccodegen-units=1 -Cstrip=debuginfo

Name:           atac
Version:        0.20.2
Release:        1%{?dist}
Summary:        A simple API client (postman like) in your terminal

License:        MIT
URL:            https://github.com/Julien-cpsn/ATAC
Source0:        %{url}/archive/v%{version}.tar.gz

BuildRequires: gcc-c++
%if 0%{?el8} || 0%{?el9}
%else
BuildRequires: cargo
BuildRequires: rust
%endif

%description
ATAC is Arguably a Terminal API Client. It is based on well-known clients such as Postman, Insomnia, or even Bruno, but inside your terminal without any specific graphical environment needed.

%prep
%autosetup -n ATAC-%{version}
%if 0%{?el8} || 0%{?el9}
curl https://sh.rustup.rs -sSf | sh -s -- --profile minimal -y
%endif

%build

%install
export RUSTFLAGS="%{rust_flags}"
%if 0%{?el8} || 0%{?el9}
$HOME/.cargo/bin/cargo install --locked --root=%{buildroot}%{_prefix} --path=.
%else
cargo install --locked --root=%{buildroot}%{_prefix} --path=.
%endif

rm -f %{buildroot}%{_prefix}/.crates.toml \
    %{buildroot}%{_prefix}/.crates2.json
strip --strip-all %{buildroot}%{_bindir}/*

%files
%license LICENSE
%doc README.md
%{_bindir}/atac

%changelog
* Sun Jun 29 2025 julien-cpsn <julien.caposiena@gmail.com> - v0.20.2
- Update to 0.20.2

* Sun May 25 2025 julien-cpsn <julien.caposiena@gmail.com> - v0.20.1
- Update to 0.20.1

* Thu May 15 2025 julien-cpsn <julien.caposiena@gmail.com> - v0.20.0
- Update to 0.20.0

* Sun Mar 23 2025 julien-cpsn <julien.caposiena@gmail.com> - v0.19.0
- Update to 0.19.0

* Thu Feb 20 2025 julien-cpsn <julien.caposiena@gmail.com> - v0.18.2
- Update to 0.18.2

* Sun Oct 27 2024 julien-cpsn <julien.caposiena@gmail.com> - v0.18.1
- Update to 0.18.1

* Sun Aug 25 2024 julien-cpsn <julien.caposiena@gmail.com> - v0.18.0
- Update to 0.18.0

* Sun Aug 18 2024 julien-cpsn <julien.caposiena@gmail.com> - v0.17.0
- Update to 0.17.0

* Sun Jun 30 2024 julien-cpsn <julien.caposiena@gmail.com> - v0.16.0
- Update to 0.16.0

* Fri May 3 2024 julien-cpsn <julien.caposiena@gmail.com> - v0.15.1
- Update to 0.15.1

* Wed May 1 2024 julien-cpsn <julien.caposiena@gmail.com> - v0.15.0
- Update to 0.15.0

* Tue Apr 23 2024 julien-cpsn <julien.caposiena@gmail.com> - v0.14.0
- Update to 0.14.0

* Thu Apr 18 2024 julien-cpsn <julien.caposiena@gmail.com> - v0.13.0
- Update to 0.13.0
